curl --request PATCH \
--url https://developer.synq.io/api/datachecks/testsuggestions/v1/accepted \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"recurrenceRule": "<string>",
"annotations": [
{
"name": "<string>",
"values": [
"<string>"
]
}
],
"saveFailures": true
}
'import requests
url = "https://developer.synq.io/api/datachecks/testsuggestions/v1/accepted"
payload = {
"ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"recurrenceRule": "<string>",
"annotations": [
{
"name": "<string>",
"values": ["<string>"]
}
],
"saveFailures": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
recurrenceRule: '<string>',
annotations: [{name: '<string>', values: ['<string>']}],
saveFailures: true
})
};
fetch('https://developer.synq.io/api/datachecks/testsuggestions/v1/accepted', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifiers": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
},
"entityId": "<string>"
}
]
}BatchAcceptTestSuggestions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Recurrence rule for the execution schedule of the SqlTest.
Annotations for the given test.These help filter the tests for later operations like listing by API, selection in UI, analytics, etc.
Show child attributes
Show child attributes
Boolean flag to to toggle saving of failure runs.
Response
Success
Identifiers of created tests.
Identifier is a unique reference to an entity in Coalesce Quality system. Entity identifiers are designed to closely mimic identifiers used by data platforms and tools. To construct an identifier, you need to know the kind of the entity and the ids that you would normally use to identify it in the data platform or tool. For example, to identify a table in BigQuery, you would need to know the project, dataset, and table names.
Every identifier the API RETURNS also carries entity_id, the entity's opaque
id. Read it when you just need to name the entity again — it is one string for
every platform, where the structured variants below only cover the platforms
that have one.
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
- Identifier
Show child attributes
Show child attributes